debug:
  stage: test
  script:
  - env | sort

test-gitlab-registry:
  image: registry.gitlab.com/gitlab-org/gitlab-runner/gitlab-runner-helper:x86_64-${CI_RUNNER_REVISION}
  when: manual
  before_script:
    - git clone --depth 1 -- https://github.com/drwetter/testssl.sh.git bin
    - apk add --no-cache bash procps drill git coreutils libidn curl socat openssl xxd
    - mkdir output
  script:
    - bin/testssl.sh --jsonfile output/ https://${CI_REGISTRY}
  artifacts:
    paths:
      - output/*json

test-gitlab:
  image: registry.gitlab.com/gitlab-org/gitlab-runner/gitlab-runner-helper:x86_64-${CI_RUNNER_REVISION}
  when: manual
  before_script:
    - git clone --depth 1 -- https://github.com/drwetter/testssl.sh.git bin
    - apk add --no-cache bash procps drill git coreutils libidn curl socat openssl xxd
    - mkdir output
  script:
    - bin/testssl.sh --jsonfile output/ ${CI_SERVER_URL}
  artifacts:
    paths:
      - output/*json
